using System;
using NinjaTrader.Cbi;

internal sealed class Delegate229 : MulticastDelegate
{
	public extern double Invoke(object object_0, PerformanceUnit performanceUnit_0, double double_0);

	public static double smethod_0(object object_0, PerformanceUnit performanceUnit_0, double double_0, Delegate229 delegate229_1)
	{
		return delegate229_1(object_0, performanceUnit_0, double_0);
	}

	public extern Delegate229(object object_0, IntPtr intptr_0);

	static Delegate229()
	{
		Class10.smethod_13(typeof(Delegate229).TypeHandle);
	}

	internal static Delegate229 delegate229_0;
}
